chiark-utils (8.0.0-0deepin1) unstable; urgency=medium

  * feat: add sw64 support 

 -- hudeng <hudeng@deepin.org>  Tue, 21 Oct 2025 17:32:41 +0800

chiark-utils (8.0.0) unstable; urgency=medium

  * Rewrite the packaging to use `debhelper` and `dh` in as standard a way
    as possible.  As a consequence, support root-less builds.
    No functional changes to the installed packages.
    Closes: #1089303.  [Niels Thykier]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 12 Jan 2025 20:19:58 +0000

chiark-utils (7.0.3) unstable; urgency=medium

  * Team upload.
  * git-cache-proxy: Handle extra-parameters in git protocol (Closes: #1040476).
    Thanks to Anthony PERARD for the patch.
  * git-branchmove: Always pass --no-verify to 'git push' (Closes: #1080082).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 26 Sep 2024 17:07:41 +0100

chiark-utils (7.0.2) unstable; urgency=medium

  * debian/rules: Pass -D_TIME_BITS=64 too.  Closes: #1078190.
  * Change file size type to unsigned long long.  Closes: #1075821.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 15 Aug 2024 22:28:46 +0100

chiark-utils (7.0.1) unstable; urgency=medium

  * backup/snaprsync: add -AX to the rsync rune
  * Enable LFS and 64-bit time_t support.  Closes: #1067157.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 04 Jul 2024 12:53:58 +0100

chiark-utils (7.0.0) unstable; urgency=medium

  New facility:
  * prefork-interp, Proc::Prefork::Interp: new facility

  Improvements:
  * expire-iso8601: Replace with new implementation.  Closes:#862897.

  Bugfixes:
  * acctdump: Fix manual page section.
  * git-cache-proxy: fix for new git.  Closes: #1006695.  [Anthony Perard]
  * git-branchmove: install manpage..  Closes: #946364.  [Sean Whitton]
  * hexterm: Update #! and Suggest tcl8.6.  Closes: #905474.

  Build and packaging improvements:
  * Fix cross build.  Closes: #951242.  [Helmut Grohne]
  * copyright: Be clear that SPDX indications are licence grants
  * Add lintian override for python dependency
  * Add lintian override for chiark-really
  * fix priority "extra" to "optional"
  * Fix build-dependency on debhelper.
  * Set source format to 3.0 (native)
  * Add Vcs-* fields.
  * Update Standards-Version
  * timespeccmp.h: Move use to just cgi-fcgi-interp

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 22 Aug 2022 00:06:57 +0100

chiark-utils (6.1.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
    - Maintainer has approved this via personal communication.
  * Bump debhelper compat to 13 (Closes: #965453).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 21 Jul 2020 08:17:49 -0700

chiark-utils (6.1.2) unstable; urgency=medium

  * git-cache-proxy: Recheck gc timestamp after taking lock
  * git-cache-proxy: Tolerate failure to write gc stamp
  * git-cache-proxy: Do not update timestamp due to housekeeping gc

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 12 Feb 2020 16:10:02 +0000

chiark-utils (6.1.2~citrix2~) unstable; urgency=medium

  * git-cache-proxy: Move $SIG{ALRM} setting to global
  * git-cache-proxy: Abandon fetch attempt if client disconnects
  * git-cache-proxy: Use open-coded fork/exec for git gc

 -- Ian Jackson <ian.jackson@citrix.com>  Tue, 11 Feb 2020 18:34:58 +0000

chiark-utils (6.1.1) unstable; urgency=medium

  * fishdescriptor: Use Python "errno" module
  * git-cache-proxy: Periodically run `git gc --quiet'
  * git-cache-proxy: Document some options in the head comment

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 11 Feb 2020 16:37:31 +0000

chiark-utils (6.0.5~citrix1) unstable; urgency=medium

  * fishdescriptor: Use Python "errno" module, not "os.errno"
    (which is not in modern python3 apparently).

 -- Ian Jackson <ian.jackson@citrix.com>  Fri, 20 Dec 2019 17:50:02 +0000

chiark-utils (6.1.0~iwj1) unstable; urgency=medium

  * really: Writeability of rc.local suffices, too.
    (Non-sysvinit compatibility.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 12 Aug 2019 10:59:02 +0100

chiark-utils (6.1.0) unstable; urgency=medium

  * Non-maintainer upload.
    - Maintainer has approved this via personal communication.
  * git-branchmove: rewrite in perl (Closes: #914398, #914399)
    - Add dependencies on libgit-wrapper-perl, libtry-tiny-perl to
      bin:chiark-scripts.
  * git-branchmove: new --detach feature.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Dec 2019 14:10:26 -0700

chiark-utils (6.0.4) unstable; urgency=medium

  * sync-accounts: Fix perl syntax error.  Closes:#865985.
  * changelog: Document bug number for bugfix in 6.0.4~citrix1.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 12 Apr 2019 11:48:00 +0100

chiark-utils (6.0.4~citrix1) unstable; urgency=medium

  * fishdescriptor: cast __errno_location correctly.  Closes:#926858.

 -- Ian Jackson <ian.jackson@citrix.com>  Mon, 08 Apr 2019 17:03:47 +0100

chiark-utils (6.0.3) unstable; urgency=medium

  * Upload to Debian unstable.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 20 Nov 2018 18:25:53 +0000

chiark-utils (6.0.3~citrix1) unstable; urgency=medium

  * git-branchmove: Avoid transporting tags about
  * fishdescriptor: Cope if donor is in a chroot without /proc
  * fishdescriptor: Cope if only donor has /run/user/UID

 -- Ian Jackson <ian.jackson@citrix.com>  Mon, 19 Nov 2018 16:11:55 +0000

chiark-utils (6.0.2) unstable; urgency=medium

  * Rebuild with arch:all packages included in the upload.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 11 Jun 2018 14:35:08 +0100

chiark-utils (6.0.1) unstable; urgency=low

  fishdescriptor:
  * Fix numerous bugs, affecting the `exec' feature with nontrivial fd
    specifications.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 11 Jun 2018 14:31:24 +0100

chiark-utils (6.0.0) unstable; urgency=medium

  xbatmon-simple:
  * Minor improvements to the .txt doc.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 20 Apr 2018 16:56:04 +0100

chiark-utils (5.0.3~citrix3) unstable; urgency=medium

  fishdescriptor:
  * New utility.

 -- Ian Jackson <ian.jackson@citrix.com>  Fri, 20 Apr 2018 16:46:48 +0100

chiark-utils (5.0.3~citrix2) unstable; urgency=medium

  with-lock-ex:
  * Switch to using getopt.
  * New -t (timeout) option.  Closes:#858555.

  git-cache-proxy:
  * New --serve-timeout option.
  * Radically increase several timeouts.

  Copyright faff:
  * Add DEVELOPER-CERTIFICATE file and start using S-o-b practice.
  * Convert with-lock-ex to MIT, since the PD dedication is not
    effective in some jurisdictions.

 -- Ian Jackson <ian.jackson@eu.citrix.com>  Mon, 08 May 2017 17:21:52 +0100

chiark-utils (5.0.3~citrix1) unstable; urgency=medium

  * git-cache-proxy: Do not spuriously timeout on too many simultaneous
    invocations (specifically, do not timeout when reacquiring the lock
    before serving).

 -- Ian Jackson <ian.jackson@eu.citrix.com>  Wed, 26 Apr 2017 13:04:12 +0100

chiark-utils (5.0.2) unstable; urgency=medium

  * Portability fix: Fix on libcs where st_mtime is not a macro
    (ie, ones lacking st_mtim.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 23 Jan 2017 18:12:52 +0000

chiark-utils (5.0.1) unstable; urgency=medium

  * with-lock-ex: provide -l

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 23 Jan 2017 17:53:50 +0000

chiark-utils (5.0.0) unstable; urgency=medium

  New programs:
  * cgi-fcgi-interp
  * git-branchmove

  nntpid:
  * install in /usr/bin.  Closes:#773651.

  cvs-adjustroot:
  * Properly exit nonzero in case of error.
    Fixes the first half of #839708.
  * Silently succeed for */CVS/Root entries which already match
    the new value.  Closes:#839708 (second half).
  * Reinvoke oursevles via "$0" rather than our hardcoded name.
    Makes testing easier, etc.

  xduplic-copier:
  * Print error message, rather than segfaulting, if XOpenDisplay fails.
  * Use XkbKeycodeToKeysym instead of XKeycodeToKeysym.
  * Drop obsolete variable "ts_last".

  chiark-backup:
  * No longer attempt to lvchange -a n the snapshot volume.
  * Add daft_sleep calls to snapshot code.
  * Honour CHIARK_BACKUP_SHAREDIR in snap/lvm script.

  Documentation:
  * Install manpage summer(1).
  * Provide more .txt `docs' (xbatmon-simple.txt, rcopy-repeatedly.txt).

  Packaging:
  * Rebuild on current sid: Closes:#811216.
  * Fix tiny typo in long description.  Closes:#819746.  (Luke Faraone.)
  * Fix build repro by using gzip -n.  Closes:#777300.  (Chris Lamb.)
  * Drop debian/rules seddery for libgmp3c2 C++ ABI transition.
  * Add debian/.debhelper to .gitignore.
  * Drop `-isp' from dpkg-gencontrol invocation.
  * Drop a lot of -l options from xduplic-copier.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 05 Nov 2016 13:48:37 +0000

chiark-utils (4.4.2) unstable; urgency=low

  Copyright licencing fixes:
  * nntpid: Provice actual licence (dual MIT/GPL3+).  Closes:#773650.
  * git-cache-proxy: Mention in debian/copyright.
  * git-cache-proxy: Update copyright year list to include 2014.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 21 Dec 2014 15:07:20 +0000

chiark-utils (4.4.1) unstable; urgency=low

  Safety and convenience fix:
  * Redact command name characters outside 33-126.

  Portability fixes for platforms where we can't build acctdump:
  * Do not build on platforms with no <sys/acct.h>

  Portability fixes for acctdump on kFreeBSD:
  * Use different struct acct, and different headers, on different
    platforms.
  * Tolerate lack of ac_exitcode.
  * Tolerate lack of ac_minflt and ac_majflt (and use %lu as is right).
  * Tolerate variation in ac_flag field name, and, to an extent, value.
  * Print ac_mem and ac_io if available.
  * Together, the above: Closes:#766913.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Oct 2014 23:52:41 +0000

chiark-utils (4.4.0) unstable; urgency=low

  New utilities:
  * acctdump.  (Imported from CVS and chiark by Jonathan Amery.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Oct 2014 14:39:11 +0000

chiark-utils (4.3.1) unstable; urgency=medium

  Bugfixes:
  * expire-iso8601: Fix mistake in usage message.
  * git-cache-proxy: Fix various bugs in housekeeping.  Fixes a bug
    where a particular cache dir could become `Not a git repository.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 28 Jul 2014 15:52:50 +0100

chiark-utils (4.3.0) unstable; urgency=medium

  New utilities:
  * xduplic-copier.  Closes:#727223.
  * git-cache-proxy.

  New features:
  * random-word: -F<n> option for using only first <n> lines of source file.

  Bugfixes:
  * Make xbatmon-simple tolerate the lack of "type" in power supply uevent
    fields, by guessing the type from the presence or absence of "present"
    (which appears for batteries) and "online" (which appears for mains).
    Closes: #689134.

  Documentation improvements:
  * really: Add "danger!" warning to usage message description of -R.
  * really: Document -R option in the manpage.  Closes:#693354.
  * really: Document need to be in the "root" group as well.  (This is
    better than removing the restriction, because it would be dangerous to
    relax this security barrier in existing deployments.)  Closes:#693356.
  * watershed; Provide -h and --help options.  Closes:#659989.

  Build and portability fixes:
  * cprogs: Saner build runes when extra libs or objs needed.
  * cprogs: Honour CMDLINE_CFLAGS, CMDLINE_CPPFLAGS, CMDLINE_LDFLAGS.
  * debian/rules: use dpkg-buildflags and pass to Makefile.
  * cprogs/Makefile: clean deletes $PROGRAMS
  * random-word: Some perl-mode emacs formatting glitch workarounds.
  * random-word: use strict; -w.
  * cprogs/usr-local-src-misc-Makefile: Remove ancient cruft file.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 29 Nov 2013 20:52:15 +0000

chiark-utils (4.2.0) unstable; urgency=low

  * Rename `xacpi-simple' to `xbatmon-simple':
    - rename source file
    - change program name in Makefiles, .gitignore, rules, etc.
    - change program's idea of its own name for usage message
    - look for X resources under both old ane new names
    - provide a compatibility symlink (using dh_link)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Jun 2012 21:40:32 +0100

chiark-utils (4.1.32) unstable; urgency=medium

  xacpi-simple improvements:
  * Better parsing of boolean -debug option.
  * Support -into, -iconic and -withdrawn options.

  Packaging fix:
  * debian/rules clean removes various sv-* and dh log files.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 07 Jun 2012 19:22:46 +0100

chiark-utils (4.1.31) unstable; urgency=medium

  Bugfixes to programs:
  * xacpi-simple updated:
    - Now works with recent kernels by reading /sys/class/power_supply
      (so is now misnamed, since that may or may not come from acpi).
      Closes: #635242.
    - Copes both with batteries which report charge/current and ones which
      report energy/power.
    - Copes with batteries which are not full, charging or discharging
      (eg, if the system is on a/c but battery charging is suppressed).
    - Shows red when time remaining is less than 5 minutes (configurable)
      rather than trying to use "alarm" value from /sys/class/power_supply
      (which is not very predictable or reliable).
    - Option -debug produces some debugging output.
    - In the code, rename pix_... variables to be named after the meaning
      rather than the default colour.
  * chiark-backup's /etc/chiark-backup/snap/nosnap is now more careful
    about rm vs. rmdir of its link/mountpoint/whatever.

  Documentation and description improvements:
  * watershed now installs its head doc comment in
    /usr/share/doc/chiark-utils-bin/watershed.txt.
    This is apropos of #659989 but is of course not a proper fix.
  * Mention rcopy-repeatedly in the Description.

  User-visible packaging improvements:
  * chiark-backup Suggests chiark-utils-bin, not the nonexistent
    chiark-cprogs (for `summer').

  Other packaging and source code improvements:
  * Provide build-arch and build-indep debian/rules targets.
  * Fix the type of a callback function passed to scandir, to expect
    struct dirent**'s rather than void*'s.
  * Add -Wno-pointer-sign to gcc warning options.
  * Add ${misc:Depends} to Depends: lines.  Causes no change to the .debs.
  * Switch to git.  Move .cvsignores to .gitignore, etc.
  * Update my email address.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 06 Jun 2012 02:30:50 +0100

chiark-utils (4.1.30) unstable; urgency=low

  * rcopy-repeatedly: new utility
  * cvs-repomove: work with Solaris's shoddy sed.  (Closes: #497670)
  * backup/snap-drop: honour argument specifying vardir.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed,  8 Oct 2008 21:42:17 +0100

chiark-utils (4.1.29) unstable; urgency=low

  * backup-snaprsync: pass $vardir as argument to snap-drop
  * backup-snaprsync: add a missing x prefix to an ssh invocation
  * chiark-backup: really cope properly with nosnap removal

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 28 Aug 2008 20:02:47 +0100

chiark-utils (4.1.28+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "file-in-etc-not-marked-as-conffile /etc/chiark-backup/snap/nosnap"
    by adding /etc/chiark-backup/snap/nosnap to debian/chiark-
    backup/conffiles (closes: #553560).

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Dec 2009 13:27:32 +0100

chiark-utils (4.1.28+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * change build dependency from libnettle-dev to nettle-dev
    (Closes: #543123).

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 02 Sep 2009 08:55:36 +0200

chiark-utils (4.1.28) unstable; urgency=high

  chiark-named-conf:
  * Remove obsolete +nodebug option from calls to dig;
    required for BIND9 compatibility.  Thanks to Ross Younger.
  * Foreign zones work properly using the configuration
    prevailing at the end of the config file.
  * Warn if user specifies a zone with the trailing `.'.

  Other:
  * hexterm: Declare and document the dependency of hexterm on tcl8.4.
  * chiark-backup: remove snap-mount properly whether it's a dir or a leaf
    node (such as a symlink).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 27 Aug 2008 23:26:55 +0100

chiark-utils (4.1.24) unstable; urgency=low

  * Change my email address in the Maintainer field so that
    when I say Closes: in the changelog it doesn't say "fixed in NMU".

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 23 Sep 2007 16:39:48 +0100

chiark-utils (4.1.23) unstable; urgency=low

  * chiark-named-conf improvements:
    - set $|=1 to make output better with eg  2>&1 |less
    - new allow-indirect-glue directive
    - new forbid-slave directive
    - remove incorrect references to SOA ORIGIN - should be MNAME
    - allow config file to not exist.  Closes: #274528.
    - do not warn about glueful nameservers in serverless-glueless
      areas (since these can't cause problems).  Thanks to Ben Harris
      for report and subsequent discussion.
  * chiark-backup Depends on chiark-utils-bin.  Closes: #401611.
  * summer manpage (thanks to Peter Maydell for initial contribution).
    (Closes: #401640.)
  * summer has new -B option for suppressing times of unusual node types.
  * backup-snaprsync passes -B to summer.
  * copyright notices for various scripts.
  * many scripts mentioned in Description and debian/copyright.
  * use dh_strip rather than doing it ourselves.  Closes #436624.
  (4.1.22 was an internal unreleased version.)

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 22 Sep 2007 02:29:55 +0100

chiark-utils (4.1.21) unstable; urgency=low

  * backup-snaprsync: pass -I to rsync when copying rsums.
  * update licence to GPLv3 or later (was GPLv2 or later).
  * remove FSF's paper address from debian/copyright
    and refer to the FSF and GNU websites instead.
  * update copyright dates in backup/.
  * Fix some out of date email addresses.
  * summer and watershed's shlibdeps go into Recommends since
    bits of the package are useable without them.
  * seddery libgmp3 dependencies to libgmp3 | libgmp3c2 since
    we are C and not C++ and care nothing for C++ ABI transitions.
  * Document the dependency relationships in the Description.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri, 21 Sep 2007 21:58:33 +0100

chiark-utils (4.1.20) unstable; urgency=low

  * Fix bashism in upstream backup/Makefile.  Closes: #379541.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri, 13 Jul 2007 09:49:17 +0100

chiark-utils (4.1.19) unstable; urgency=low

  * Mention summer, xacpi-simple, watershed in chiark-utils-bin's description.
  * Set SHELL=/bin/bash in debian/rules.  Closes: #379541.
  * Remove Matthew from the Uploaders.  Closes: #280012.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 12 Jul 2007 17:25:11 +0100

chiark-utils (4.1.18) unstable; urgency=low

  * summer works even if passed multiple option-containing args.
  * workaround for nettle bug, supply -lgmp if -lnettle.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 23 May 2007 19:42:05 +0100

chiark-utils (4.1.17) unstable; urgency=low

  * summer has new -M (do not print mtimes) option.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 23 May 2007 18:56:53 +0100

chiark-utils (4.1.16) unstable; urgency=low

  * chiark-backup's snaprsync has new rsynccompress option.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 19 Apr 2007 23:23:32 +0100

chiark-utils (4.1.15) unstable; urgency=low

  * chiark-backup's snaprsync sedderies mountpoint out before sums diff.
  * chiark-backup's snaprsync has new sshopts option.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 19 Apr 2007 20:12:37 +0100

chiark-utils (4.1.14) unstable; urgency=low

  * summer has new -x (one file system) option.
  * summer produces better output with -f when scandir fails.
  * chiark-backup's snaprsync uses summer -x.
  * chiark-backup suggests chiark-cprogs with summer with -x.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 18 Feb 2007 13:02:21 +0000

chiark-utils (4.1.13) unstable; urgency=low

  * New `nosnap' no-op snap kind.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri, 16 Feb 2007 19:10:23 +0000

chiark-utils (4.1.12) unstable; urgency=low

  * New `watershed' program.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 15 Feb 2007 01:12:05 +0000

chiark-utils (4.1.11) unstable; urgency=low

  * remountresizereiserfs version copied from chiark.  Works with LVM1
    on 2.6.x, but not with 2.4.x due to stupid stupid LVM bug where
    sizes are reported in 512-byte kilobytes but only sometimes.  Also
    fixed to cope better with dm-based LVM volumes.
  * New script `summarise-mailbox-preserving-privacy'.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 22 Nov 2006 19:53:17 +0000

chiark-utils (4.1.10) unstable; urgency=low

  * New script `hexterm', `terminal emulator' for binary data,
    display/entry in ASCII and hex.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon,  2 Oct 2006 22:21:52 +0100

chiark-utils (4.1.9) unstable; urgency=low

  * New better algorithm for expire-iso8601.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon,  2 Oct 2006 18:11:56 +0100

chiark-utils (4.1.8) unstable; urgency=low

  * remountresizereiserfs: New script for calculating resize= parameter.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue, 15 Aug 2006 15:46:19 +0100

chiark-utils (4.1.7) unstable; urgency=low

  * backup: new `noinc' fs line option.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 14 Aug 2006 11:04:30 +0100

chiark-utils (4.1.6) unstable; urgency=low

  * backup/snaprsync: work around bug in bash (Debian #382798).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 14 Aug 2006 00:43:00 +0100

chiark-utils (4.1.5) unstable; urgency=low

  * expire-iso8601 - new script.
  * backup/snaprsync: allow setting of program to use for summer; allow
    setting of rsync options; allow settings to be set to empty strings on
    the command line; do not fail if localprevious,rsums is missing.
  * cprogs/summer.c: properly fix for reentrancy of buf.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 13 Aug 2006 17:04:08 +0100

chiark-utils (4.1.4) unstable; urgency=low

  summer bugfix:
  * `buf' is used reentrantely by recurse() and sometimes is the `path'
    argument to recurse; cope appropriately.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat,  5 Aug 2006 15:34:03 +0100

chiark-utils (4.1.3) unstable; urgency=low

  backup snap remountrocp fixes:
  * Size of snapshot volume properly calculated (now we divide by 1k
    since df reports in bytes and vgdisplay in kbytes).
  * Restrict copy to same file system (oops!).
  * Nicer messages from remountrocp (-q to mkfs; various echoes).

  backup snaprsync fixes:
  * Support --subdir= option, defaults to `.' (root of source fs).
  * Correctly set up /var/lib/chiark-backup/snap-drop so drop works.
  * Send output of local summer to fd 3 as required.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Jul 2006 15:41:07 +0100

chiark-utils (4.1.2) unstable; urgency=low

  * Translate /dev/mapper devices from mount table into LVM device names.
  * Use `current logical extents associated to logical volume' (field 8)
    rather than `allocated logical extents of logical volume' (field 9)
    for size, as the latter is sometimes -1 for some reason.
  * Attempt 10 times to mount readonly.
  * Comments stating that lvm{create,extents}core1 need vgroup.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Jul 2006 14:44:23 +0100

chiark-utils (4.1.1) unstable; urgency=low

  * summer sorts the output and identifies hardlink
    targets instead of printing link count.
  * backup: new `remountrocp' snapshot type.
  * backup: snaprsync script shipped.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Jul 2006 13:19:27 +0100

chiark-utils (4.1.0) unstable; urgency=low

  New facilities:
  * New `cvs-repomove' and `cvs-adjustroot' programs,
        for moving CVS repositories about safely and easily.
  * New `random-word' script (no documentation).
  * New `xacpi-simple' utility (no documentation).
  * New `summer' checksumming program with no manpage.
  * Spice and gnuplot scripts `ngspice2genspic', `gnucap2genspec'
    `genspic2gnuplot'.

  chiark-backup:
  * Pass -P option to df (to make new df not break things).
  * Pass -xtmpfs option to df.
  * Fix critical driver script lost output bug.
  * Fix pipe mode by passing -m600 when creating it.
  * Don't mind devices on local filesystems (was failed stat bug).
  * New lvm/remount-ro snapshotting feature.
  * New `snaprsync' script which is still a work in progress.
  * New gtar backup type.
  * Use (set) dump label field.
  * Say `(C)' in nroff pages rather than `\(c0' (typo for `\(co').
    (Closes: #208299 - Debian bug, thanks to Colin Watson.)
  * Move tape.* symlinks for chiark example into chiark directory.
    (Closes: #208300 - Debian bug, thanks to Colin Watson.)

  Other fixes and improvements:
  * Size for readbuffer/writebuffer may be in k or bytes.
  * sync-accounts works properly with groups with - + . in names
  * really has -R (chroot) option, and usage message improved.
  * Typo in copyright statement in with-lock-ex.1 fixed.
  * Mention cvs-* and palm-datebook-reminders in debian/control.
  * Make myself (Ian Jackson) the Maintainer.
  * Fix manpage titles for palm-datebook-reminders(1) and really(8).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue, 27 Jun 2006 19:40:57 +0100

chiark-utils (4.0.0) unstable; urgency=medium

  New programs and utilities:
  * trivsoundd (cprogs, no .deb).  Largely untested.
  * palm-datebook-reminders (scripts, chiark-scripts.deb)
  * really (cprogs, chiark-really.deb)
  * with-lock-ex (cprogs, chiark-utils-bin.deb)
  * usernice, cvsweb-list, smtpallow.  (Source only, not built.)
    
  chiark-named-conf:
  * remove warnings by adding complete set of function prototypes
  * check foreign zones from delegation by default (-mforeign!*)

  chiark-rwbuffer:
  * fix writebuffer's progname.

  chiark-backup:
  * full dumps have tapedesc in TAPEID
  * fix reporting of unaccountable filesystems.
  * compression support (gz as a style option).
  * ntfsimage support.
  * Count and display on-tape file numbers.
  * Count output blocks for each tape file and in total.
  * $nice and $nasty in settings.pl.
  * Show mt runes when we execute them.
  * A little less clone-and-hack.
  * Manpages.

  Build system improvements:
  * Make manpages non-executable (!) (ie install with INSTALL_SHARE)
  * Makefile commonality moved into settings.make.
  * readbuffer/writebuffer moved into new cprogs directory.
  
  Debian-specific changes:
  * sync-accounts and chiark-named-conf merged into single
    chiark-scripts package.
  * Add section and priority fields
  * Update to a sensible standards-version
  * Correct location of the GPL

 -- Matthew Vernon <matthew@debian.org>  Wed, 16 Jul 2003 12:01:01 +0100

chiark-utils (3.0.3) unstable; urgency=low

  * chiark-backup: compatibility with md5sum from dpkg 1.10.4.
  * chiark-named-conf: manpage gluelessness section improved.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 20 Oct 2002 17:42:53 +0100

chiark-utils (3.0.2) unstable; urgency=low

  * Enhanced portability: cope with (and preserve) comments and 
    blank lines in local database files.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 14 Jul 2002 23:21:31 +0100

chiark-utils (3.0.1) unstable; urgency=low

  * Enhanced portability: -g root => -g $(SYSTEM_GROUP)

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 14 Jul 2002 21:52:46 +0100

chiark-utils (3.0.0) unstable; urgency=low

  sync-accounts:
  * Moved all files from old CVS repository into chiark-utils.
  * Manpages for everything.
  * /etc/sync-accounts comments may be indented.
  * Copyright notices sorted out.
  * sync-accounts.linux uses vipw, vigr.
  * Removed sync-accounts-mktar (eewwgh).
  * Makefile and Debian control stuff added.

  Other changes:
  * debian/copyright file improved.
  * named-conf script has copyright notice at top.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 14 Jul 2002 21:18:35 +0100

chiark-utils (2.2.6) unstable; urgency=low

  * chiark-named-conf --mail-* works without zone list as args.
  * chiark-named-conf --mail-* prints better output.

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Sat,  1 Jun 2002 01:12:00 +0100

chiark-utils (2.2.4) unstable; urgency=low

  * chiark-named-conf can send mail reports, and is generally better.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 26 May 2002 21:03:11 +0100

chiark-utils (2.2.3) unstable; urgency=low

  * Allow invocation on 2nd-level domains by coping with superzone `.'

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 27 Jan 2002 19:38:14 +0000

chiark-utils (2.2.2) unstable; urgency=low

  * chiark-named-conf does checks on all slaves even for `*' zones.
  * chiark-named-conf glueless-serverless works properly.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 12 Jan 2002 20:19:32 +0000

chiark-utils (2.2.1) unstable; urgency=low

  * chiark-named-conf gets list of delegated servers right when doing
    simple checks (ie -l).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 12 Jan 2002 00:58:22 +0000

chiark-utils (2.2.0) unstable; urgency=low

  * Add new chiark-named-conf script with manpage etc., and package it.
  * Add new scripts directory with Makefile.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 12 Jan 2002 00:47:10 +0000

chiark-utils (2.1.1) unstable; urgency=low

  * add call to mt reten to full.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 28 Nov 2001 00:05:11 +0000

chiark-utils (2.1.0) experimental; urgency=low

  * man pages for readbuffer, writebuffer from Richard Kettlewell.
  * add info re last-tape and checkallused to iwjbackup.txt.
  * new `backup-labeltape' utility.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri,  9 Nov 2001 21:12:25 +0000

chiark-utils (2.0.0) experimental; urgency=low
  
  * Initial prepackaged release of chiark backup.

  Significant changes since merge chiark/anarres/mnemeth:
  * readbuffer/writebuffer command line arg for buffer size.
  * readbuffer/writebuffer share common code.
  * example config files from Relativity and chiark shipped.
  * Improved documentation.
  * bringup-hook created.
  * bugfixes (all of bugs introduced by merge, AFAICT).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon,  8 Oct 2001 01:52:21 +0100

# Local variables:
# mode: debian-changelog
# End:
